[![umbrelOS](https://github.com/getumbrel/umbrel/assets/10330103/56be7b95-0c24-4dee-ad3a-e5947bc2ee07)](https://umbrel.com/umbrelos)

<p align="center">
  <h1 align="center">umbrelOS</h1>
  <p align="center">
    A beautiful home server OS for self-hosting
    <br />
    <a href="https://umbrel.com"><strong>umbrel.com »</strong></a>
    <br />
    <br />
    Buy an <a href="https://umbrel.com/umbrel-home">Umbrel Home</a> or install on a <a href="https://github.com/getumbrel/umbrel/wiki/Install-umbrelOS-on-a-Raspberry-Pi-5">Raspberry Pi 5</a> or <a href="https://github.com/getumbrel/umbrel/wiki/Install-umbrelOS-on-x86-systems">any x86 system</a>.
    <br />
    <br />
    <a href="https://twitter.com/umbrel">
      <img src="https://img.shields.io/twitter/follow/umbrel?style=social" />
    </a>
    <a href="https://t.me/getumbrel">
      <img src="https://img.shields.io/badge/community-chat-%235351FB">
    </a>
    <a href="https://reddit.com/r/getumbrel">
      <img src="https://img.shields.io/reddit/subreddit-subscribers/getumbrel?style=social">
    </a>
    <a href="https://community.getumbrel.com">
      <img src="https://img.shields.io/badge/community-forum-%235351FB">
    </a>
  </p>
</p>

<br />

<p align="center">
At Umbrel, we believe that everyone should be able to enjoy the convenience and benefits of the cloud, without giving up ownership and control of their data.
</p>

<p align="center">
To achieve our vision, we're building a new kind of a home server OS. Instead of paying ransoms for storing your data on someone else's computer while they auction it off to advertisers — you can now easily spin up a server and self-host your data and services at home.
</p>

<p align="center">
Just like the cloud, but one that you own and control.
</p>

<br />

<br />

## Installing umbrelOS

- [Install umbrelOS on a Raspberry Pi 5](https://github.com/getumbrel/umbrel/wiki/Install-umbrelOS-on-a-Raspberry-Pi-5)
- [Install umbrelOS on any x86 system](https://github.com/getumbrel/umbrel/wiki/Install-umbrelOS-on-x86-Systems)
- [Install umbrelOS in a VM](https://github.com/getumbrel/umbrel/wiki/Install-umbrelOS-on-a-Linux-VM)


## Umbrel App Store

<br />

Here are some of the apps available in the Umbrel App Store. For the complete list of apps, visit [apps.umbrel.com](https://apps.umbrel.com/).

#### Files & Productivity

- [Calibre Web](https://apps.umbrel.com/app/calibre-web) — A clean web app for your eBooks
- [Nextcloud](https://apps.umbrel.com/app/nextcloud) — Productivity platform that keeps you in control
- [Immich](https://apps.umbrel.com/app/immich) - High performance photo and video backup solution
- [PhotoPrism](https://apps.umbrel.com/app/photoprism) — Self-host your photo and video library
- [SyncThing](https://apps.umbrel.com/app/syncthing) — Peer-to-peer file synchronization between your devices
- [Vaultwarden](https://apps.umbrel.com/app/vaultwarden) — Unofficial Bitwarden® compatible server

#### Media

- [Jellyfin](https://apps.umbrel.com/app/jellyfin) — The Free Software Media System
- [Lidarr](https://apps.umbrel.com/app/lidarr) — Looks and smells like Sonarr but made for music
- [Plex](https://apps.umbrel.com/app/plex) — Stream Movies & TV Shows
- [Prowlarr](https://apps.umbrel.com/app/prowlarr) — Indexer manager/proxy for Sonarr, Radarr, and Lidarr
- [Radarr](https://apps.umbrel.com/app/radarr) — Your movie collection manager
- [Sonarr](https://apps.umbrel.com/app/sonarr) — Smart PVR for newsgroup and bittorrent users

#### Bitcoin & Finance

- [Bitcoin Node](https://apps.umbrel.com/app/bitcoin) — Run your personal node powered by Bitcoin Core
- [Electrs](https://apps.umbrel.com/app/electrs) — A simple and efficient Electrum Server
- [Mempool](https://apps.umbrel.com/app/mempool) — A self-hosted explorer for the Bitcoin community
- [Bitfeed](https://apps.umbrel.com/app/bitfeed) — A beautiful mempool visualizer and block explorer
- [BTCPay Server](https://apps.umbrel.com/app/btcpay-server) — Accept Bitcoin payments with zero fees & no 3rd party
- [RoboSats](https://apps.umbrel.com/app/robosats) — Simple and Private Bitcoin P2P Exchange
- [Jam](https://apps.umbrel.com/app/jam) — Your sats. Your privacy. Your profit.
- [Samourai Server](https://apps.umbrel.com/app/samourai-server) — Your private backing server for Samourai Wallet
- [Lightning Node](https://apps.umbrel.com/app/lightning) — Run your personal Lightning Network node
- [Core Lightning](https://apps.umbrel.com/app/core-lightning) — Run your personal Core Lightning node
- [Lightning Terminal](https://apps.umbrel.com/app/lightning-terminal) — The easiest way to manage channel liquidity
- [LNBits](https://apps.umbrel.com/app/lnbits) — Multi-user wallet management system
- [Ride The Lightning](https://apps.umbrel.com/app/ride-the-lightning) — A powerful dashboard for the Lightning Network
- [ThunderHub](https://apps.umbrel.com/app/thunderhub) — Take full control of your Lightning node
- [Invoice Ninja](https://apps.umbrel.com/app/invoice-ninja) - We'll help with the invoicing

#### AI

- [LlamaGPT](https://apps.umbrel.com/app/llama-gpt) - Self-hosted, offline ChatGPT-like chatbot powered by Llama 2
- [ChatBot UI](https://apps.umbrel.com/app/chatbot-ui) - ChatGPT but better
- [Chatpad AI](https://apps.umbrel.com/app/chatpad-ai) - Premium quality UI for ChatGPT

#### Networking

- [Pi-hole](https://apps.umbrel.com/app/pi-hole) — Block ads on your entire network
- [Tailscale](https://apps.umbrel.com/app/tailscale) — Zero config VPN to access your Umbrel from anywhere
- [Transmission](https://apps.umbrel.com/app/transmission) — A fast, easy and free BitTorrent client
- [Uptime Kuma](https://apps.umbrel.com/app/uptime-kuma) — Self-hosted uptime monitoring tool
- [Urbit](https://apps.umbrel.com/app/urbit) — Run Urbit on your Umbrel
- [Whoogle Search](https://apps.umbrel.com/app/whoogle-search) — A self-hosted, ad-free, privacy-respecting metasearch engine

#### Social

- [Element](https://apps.umbrel.com/app/element) — A glossy Matrix client compatible with Synapse
- [Invidious](https://apps.umbrel.com/app/invidious) — Browse YouTube without tracking or ads
- [LibReddit](https://apps.umbrel.com/app/libreddit) — An alternative private front-end to Reddit
- [Nitter](https://apps.umbrel.com/app/nitter) — Browse Twitter without tracking or ads
- [Nostr Relay](https://apps.umbrel.com/app/nostr-relay) - Backup all your Nostr activity with your private relay
- [Synapse](https://apps.umbrel.com/app/synapse) — Matrix reference homeserver

#### Automation

- [Home Assistant](https://apps.umbrel.com/app/home-assistant) — Home automation that puts local control & privacy first
- [n8n](https://apps.umbrel.com/app/n8n) - Build complex workflows, really fast
- [Node-RED](https://apps.umbrel.com/app/node-red-standalone) — Wire together the Internet of Things

#### Developer Tools

- [Code Server](https://apps.umbrel.com/app/code-server) — Run VS Code on your Umbrel
- [Gitea](https://apps.umbrel.com/app/gitea) — A painless self-hosted Git service

> If an app you're looking for isn't available on our app store yet, feel free to open an issue on the [umbrel-apps](https://github.com/getumbrel/umbrel-apps) respository to request it.

## Building apps for umbrelOS

If you're interested in building an app for umbrelOS or packaging an existing one, please refer to the [Umbrel App Framework documentation](https://github.com/getumbrel/umbrel-apps/blob/master/README.md).

## Setting up a development environment

With the release of umbrelOS 1.0, a lot of the underlying architecture of the project has changed. This section will be re-written with up-to-date development instructions.

## License

umbrelOS is licensed under the PolyForm Noncommercial 1.0.0 license. TL;DR — You're free to use, fork, modify, and redistribute Umbrel for personal and nonprofit use under the same license. If you're interested in using umbrelOS for commercial purposes, such as selling plug-and-play home servers with umbrelOS, etc — please reach out to us at partner@umbrel.com.

[![License](https://img.shields.io/badge/license-PolyForm%20Noncommercial%201.0.0-%235351FB)](https://github.com/getumbrel/umbrel/blob/master/LICENSE.md)

[umbrel.com](https://umbrel.com)
